# Reference: <https://postmarketos.org/devicepkg>
pkgname=device-sony-honami
pkgdesc="Sony Xperia Z1"
pkgver=1.2
pkgrel=2
url="https://postmarketos.org"
license="MIT"
arch="armv7"
options="!check !archcheck"
depends="postmarketos-base linux-sony-honami msm-fb-refresher mkbootimg mesa-dri-swrast"
makedepends="devicepkg-dev"
subpackages="
	$pkgname-nonfree-firmware:nonfree_firmware
"
source="
	deviceinfo
	90-android-touch-dev.rules
"

build() {
	devicepkg_build $startdir $pkgname
}

package() {
	devicepkg_package $startdir $pkgname
	install -Dm644 "$srcdir"/90-android-touch-dev.rules \
		"$pkgdir"/etc/udev/rules.d/90-android-touch-dev.rules
}

nonfree_firmware() {
	depends="firmware-sony-rhine"
	pkgdesc="Wifi firmware"
	mkdir "$subpkgdir"
}


sha512sums="fed001f601c004467e4c70afd37e2df9ac837e1f64ee5a67752efd60ad8d4b9665e84c105012ca2b5e6a6323f61a687893c6a79163c3b2e29c21c7c650df7b4d  deviceinfo
1651ac9eda3c97fafe55abe0f0ae429e04f73edcbf2c56aa3259f81837f7adde348bcb385daed05c30cfc61415455a459a917ed3acccbfd9b7a1caa32a851d40  90-android-touch-dev.rules"
